
// Eurobot13 Encoder.cpp

#include "QEI.h"
#include "mbed.h"

class Encoder{
private:
    DigitalIn green, yellow;
    QEI wheel;
    
public:
    Encoder(PinName pGreen, PinName pYellow)
        : green(pGreen)
        , yellow(pYellow)
        , wheel(pGreen,pYellow, NC, 0, QEI::X4_ENCODING)
        {
    green.mode(PullUp);
    yellow.mode(PullUp);
    }
    
    int getPoint(void){
        return wheel.getPulses();
    }
    
    void reset (void){
        return wheel.reset();
    }
};
